%define name libtagedit
%define version 1.1.1
%define release %mkrel 6
%define fname %name-%version
%define major 5
%define libname %mklibname tagedit %major

Summary: Audio file tag editor library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/libtagedit/%{fname}.tar.bz2
Patch: libtagedit-1.1.1-ogg-for-flac.patch
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://libtagedit.sourceforge.net/
BuildRequires: libflac++-devel
BuildRequires: libvorbis-devel
BuildRequires: libpython-devel
BuildRequires: python-sip
BuildRequires: chrpath

%description
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

%package -n %libname
Summary:   Shared library of sndfile
Group:     System/Libraries
Requires: %name >= %version-%release

%description -n %libname
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

This package contains the shared library to run applications based 
on %name.

%package -n %libname-devel
Summary:  Libraries, includes, etc to develop applications with %name
Group:	  Development/C++
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libname-devel
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

This package contains libraries and include files you can use to
develop applications with %name.

%package -n python-%name
Group: Development/Python
Summary: Python bindings for the libtagedit library

%description -n python-%name
With this library applications can edit the metadata of Ogg, FLAC and
mp3 files.

%prep
%setup -q -n %fname
%patch -p1
aclocal
autoconf
automake

%build
export CXXFLAGS="-fPIC %optflags"
%configure2_5x
%make
cd python-bindings
python configure.py

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/tagedit-plugins/*a
cd python-bindings
%makeinstall_std
%if %_lib != lib
mv %buildroot%_prefix/lib/python* %buildroot%_libdir
%endif
chrpath -d %buildroot%py_platsitedir/_tageditor.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%dir %_libdir/tagedit-plugins/
%_libdir/tagedit-plugins/*.so

%files -n %libname
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n  %libname-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%attr(644,root,root) %{_libdir}/lib*a
%_includedir/libtagedit/

%files -n python-%name
%defattr(-, root, root)
%py_platsitedir/*


%changelog
* Wed Jan 03 2007 Götz Waschk <waschk@mandriva.org> 1.1.1-6mdv2007.0
+ Revision: 103533
- Import libtagedit



* Wed Jan  3 2007 Gtz Waschk <waschk@mandriva.org> 1.1.1-6mdv2007.1
- patch configure check for new flac
- fix buildrequires

* Sun May 28 2006 Gtz Waschk <waschk@mandriva.org> 1.1.1-5mdv2007.0
- fix for x86_64

* Tue May 23 2006 Gtz Waschk <waschk@mandriva.org> 1.1.1-4mdk
- spec fixes
- remove rpath
- use mkrel

* Fri May  6 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-3mdk
- fix build on x86_64

* Mon Apr 18 2005 Gtz Waschk <waschk@mandriva.org> 1.1.1-2mdk
- rebuild for new flac

* Thu Feb  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- add python bindings
- drop patch
- fix buildrequires
- new major
- new version

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.4mdk
- rebuild for new flac

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.3mdk
- patch for new g++
- source URL

* Sat Feb  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.2mdk
- fix directory ownership

* Sun Sep  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.b2.1mdk
- initial package
